Skip to main content
GET
/
end-users
/
{end_user_id}
Error
A valid request URL is required to generate request examples
{
  "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
  "tenant_id": "11223344-5566-7788-99aa-bbccddeeff00",
  "app_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "type": "service_api",
  "external_user_id": "abc-123",
  "name": null,
  "is_anonymous": false,
  "session_id": "abc-123",
  "created_at": "2024-01-16T12:00:29Z",
  "updated_at": "2024-01-16T12:00:29Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

end_user_id
string<uuid>
required

End user ID.

Response

End user retrieved successfully.

id
string<uuid>

End user ID.

tenant_id
string<uuid>

Tenant ID.

app_id
string<uuid> | null

Application ID.

type
string

End user type. Always service_api for Service API users.

external_user_id
string | null

The user identifier provided in API requests (e.g., the user field in Send Completion Message).

name
string | null

End user name.

is_anonymous
boolean

Whether the user is anonymous. true when no user identifier was provided in the original API request.

session_id
string

Session identifier. Defaults to the external_user_id value.

created_at
string<date-time>

Creation timestamp.

updated_at
string<date-time>

Last update timestamp.